<?php

/**
 * themes support stuff
 */
add_theme_support( 'menus' );
add_theme_support( 'post-thumbnails' );


/**
 * register theme widgets
 */
add_action( 'widgets_init', 'amazeballs_widgets_init' );
function amazeballs_widgets_init()
{
	// main sidebar
	register_sidebar( array(
		'name'          => 'Main sidebar',
		'id'            => 'main-sidebar-area',
		'description'   => 'sidebar, maaaan',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
	));

	// featured sidebar
	register_sidebar( array(
		'name'          => 'Featured sidebar',
		'id'            => 'featured-sidebar-area',
		'description'   => 'tá žltá vec tam hore',
		'before_widget' => '<div class="widget-container">',
		'after_widget'  => '</div>',
		'before_title'  => '',
		'after_title'   => '',
	));

	// footer sidebar
	register_sidebar( array(
		'name'          => 'Footer sidebar',
		'id'            => 'footer-area',
		'description'   => 'the footz',
		'before_widget' => '<div id="%1$s" class="widget-container %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '',
		'after_title'   => '',
	));
}


/**
 * custom post type - FEATURED
 */
add_action('init', 'featured_custom_init');
function featured_custom_init() {

	register_post_type('featured', array(
		'label' => 'Featured',
		'public' => true, 				// veci sa daju editovat cez menu a zobrazovat na stranke
		'exclude_from_search' => true,  // nechceme aby search v nich vyhladaval
		'has_archive' => true, 			// aby sa dali vylistovat vsetky pod sebou
		'supports' => array( 'title', 'editor' ),
	));

}


/**
 * shortcode pre FEATURED
 */
add_shortcode('gimme_featured', 'featured_shortcode_init');
function featured_shortcode_init()
{
	$loop = new WP_Query( array( 'post_type' => 'featured', 'posts_per_page' => -1 ) );

	$text = '';
	while ( $loop->have_posts() )
	{
		$loop->the_post();

		$text .= '<article class="featured-item">';
		$text .= '	<h3>'. get_the_title() .'</h3>';
		$text .= 	get_the_content('');
		$text .= '</article>';
	}

	return $text;
}


/**
 * spojazdni shortcodes v text widgetoch
 */
add_filter( 'widget_text', 'do_shortcode' );



/*

	<div class="widget-container">
		<?php

			$featured_items = get_posts(array(
				'numberposts' => -1,
				'orderby'	  => 'post_date',
				'order'		  => 'DESC',
				'post_type'	  => 'featured',
			));

			foreach ( $featured_items as $post) :

				$title   = apply_filters( 'the_title', $post->post_title );
				$content = apply_filters( 'the_content', $post->post_content );

			?>

				<article class="featured_item">
					<h3><?php echo $title ?></h3>
					<?php echo $content ?>
				</article>

			<?php endforeach; ?>
	</div>

 */




/**
 * pre_r
 */
function pre_r($expression, $return = false)
{
	if ($return)
	{
	  if (is_string($expression)) return '<pre>' . print_r(str_replace(array('<','>'), array('&lt;','&gt;'), $expression), true) . '</pre>';
		return '<pre>' . print_r($expression, true) . '</pre>';
	}
	else
	{
		echo '<pre>';
		if (is_string($expression)) print_r(str_replace(array('<','>'), array('&lt;','&gt;'), $expression), false);
		else print_r($expression, false);
		echo '</pre>';
	}
}